#ifndef WPICTUREITEM_H
#define WPICTUREITEM_H

#include <QWidget>
#include "CHttpBll.h"

namespace Ui {
class wPictureItem;
}

class wPictureItem : public QWidget
{
    Q_OBJECT

signals:
    void delFile(QString sUrl);
    void viewPhoto(QString sUrl);
public:
    explicit wPictureItem(QString sUrl, QWidget *parent = nullptr);
    ~wPictureItem();
    QString getUrl();
    void setUI(int nLeft, int nTop, int nWidth, int nHeight);
private slots:
    void onDownLoadFile(CDownLoadFileInfo downLoadFileInfo);
    void on_btn_delete_clicked();

    void on_btn_view_clicked();

private:
    bool eventFilter(QObject *obj, QEvent *ev);

    Ui::wPictureItem *ui;

    QString m_sUrl;
};

#endif // WPICTUREITEM_H
